Cannot drink caffeinated beverages easily due to bladder pain.

2018-08: tried hibiscus tea (https://www.amazon.com/Tazo-Iced-Tea-Bags-Passion/dp/B007NWPBXY) and disliked it, but based on positive reviews will try the lemonade or at least sugar